### Method

# Adw WrapLayout set_child_spacing_unit

since: 1.7

#### Declaration [src]

    void
    adw_wrap_layout_set_child_spacing_unit (
      AdwWrapLayout* self,
      AdwLengthUnit unit
    )

#### Description [src]

Sets the length unit for child spacing.

Allows the spacing to vary depending on the text scale factor.

See `AdwWrapLayout:child-spacing`.

Available since: 1.7

Sets property | `Adw.WrapLayout:child-spacing-unit`

#### Parameters

`unit`

  Type: `AdwLengthUnit`

  The length unit.